<?php
/*------------------------------------------------------------------------
# mod_wpposts - WordPress Posts
# ------------------------------------------------------------------------
# author    Joomla!Vargas
# copyright Copyright (C) 2010 joomla.vargas.co.cr. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://joomla.vargas.co.cr
# Technical Support:  Forum - http://joomla.vargas.co.cr/forum
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die;


$dbName     = $params->get('wp-db-name');
$dbUsername = $params->get('wp-db-username');
$dbPassword = $params->get('wp-db-password');
$dbHost     = $params->get('wp-db-host');
$dbPrefix   = $params->get('wp-db-prefix','wp_');


$options = array ( 'driver' => 'mysql', 'host' => $dbHost, 
                   'user' => $dbUsername, 'password' => $dbPassword,
                   'database' => $dbName, 'prefix' => $dbPrefix );

$wpDb = JDatabase::getInstance( $options );

if ( JError::isError($wpDb) ) {
	echo 'Database Error: ' . $wpDb->toString();
	return;
}

if ($wpDb->getErrorNum() > 0) {
	JError::raiseError(500 , 'JDatabase::getInstance: Could not connect to database <br />' . 'joomla.library: '.$wpDb->getErrorNum().' - '.$wpDb->getErrorMsg() );
}

// Include the module helper
//require_once __DIR__  . '/helper.php';
require_once dirname(__FILE__) . '/helper.php';

$list = modWpPostsHelper::getList($wpDb, $params);
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

require JModuleHelper::getLayoutPath('mod_wpposts', $params->get('layout', 'default'));
