<?php
/*
* Module Mod_WWPosts For Joomla 1.5.x
* Version		: 1.0.0
* Created by	: Jesus Vargas
* License : GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die('Restricted access');


$dbName     = $params->get('wp-db-name');
$dbUsername = $params->get('wp-db-username');
$dbPassword = $params->get('wp-db-password');
$dbHost     = $params->get('wp-db-host');
$dbPrefix   = $params->get('wp-db-prefix','wp_');
$format     = $params->get('format','default');

$options = array ( 'driver' => 'mysql', 'host' => $dbHost, 
                   'user' => $dbUsername, 'password' => $dbPassword,
                   'database' => $dbName, 'prefix' => $dbPrefix );

$wpDb = JDatabase::getInstance( $options );

if ( JError::isError($wpDb) ) {
	echo 'Database Error: ' . $wpDb->toString();
	return;
}

if ($wpDb->getErrorNum() > 0) {
	JError::raiseError(500 , 'JDatabase::getInstance: Could not connect to database <br />' . 'joomla.library: '.$wpDb->getErrorNum().' - '.$wpDb->getErrorMsg() );
}

// Include the module helper
require_once dirname(__FILE__).DS.'helper.php';
$list = modWpPostsHelper::getList($wpDb, $params);

require JModuleHelper::getLayoutPath('mod_wpposts', $format);
